#include "gpdef.h"
#include "gpstdlib.h"
#include "gpgraphic.h"
#include "gpstdio.h"



#define _file_name_ "gp:\\gpmm\\OS9Xgp.fxe"

#define _sf_numfiles 10



#define _credit_model_size_ 63827
#define _logo_model_size_ 53279
#define _logo_mod_size_   49186
#define _credits_mod_ 173253
#define _texture1_size_   8192
#define _texture2_size_   8192
#define _texture_env1_size_   8192
#define _texture_env2_size_   8192
#define _logo_a15d_ 153600
#define _browser_mod_ 82546 


int _sf_filesize[_sf_numfiles]=
{_credit_model_size_,
_logo_model_size_,
_logo_mod_size_,
_credits_mod_,
_texture1_size_,
_texture2_size_,
_texture_env1_size_,
_texture_env2_size_,
_logo_a15d_,
_browser_mod_
};

int SF_LoadData(int num_file,char **buffer)
{	
	F_HANDLE f;
	ulong fsize,dummy;
	long l;
	long _sf_nofs;
	int err,i;
	
	if (num_file>=_sf_numfiles) return 1;
	_sf_nofs=0;
	for (i=0;i<=num_file;i++) _sf_nofs+=_sf_filesize[i];
	
	
	err=GpFileGetSize(_file_name_,&fsize);		
	if (err!=SM_OK) return -1;
	*buffer = (char*)gm_malloc(_sf_filesize[num_file]);	
	err=GpFileOpen(_file_name_,OPEN_R,&f);	
	if (err!=SM_OK) 
	{	
		gm_free(*buffer);
		return -1;
	}
	GpFileSeek(f,FROM_BEGIN,fsize-_sf_nofs,&l);
	GpFileRead(f,(char*)(*buffer),_sf_filesize[num_file],&dummy);		
    GpFileClose(f);
    
#ifdef _DO_COMPRESS_
 	   
#endif    

	return 0;
}